# Class ExceptionHandlerProvider

Provider for `$exceptionHandler` service. Delegates uncaught exceptions to `$log.error()` by default. Can be overridden to implement custom error-handling logic.

- Defined in src/core/exception-handler.js:53

##### Index

### Constructors

constructor

### Properties

$get
errorHandler
log

## Constructors

### constructor

- new ExceptionHandlerProvider(): ExceptionHandlerProvider

  #### Returns ExceptionHandlerProvider

  - Defined in src/core/exception-handler.js:54

## Properties

### $get

$get: (string | (($log: LogService) => ErrorHandler))[]

#### Type declaration

- string
- ($log: LogService) => ErrorHandler
  - - ($log: LogService): ErrorHandler

    - #### Parameters

      - $log: LogService

      #### Returns ErrorHandler

- Defined in src/core/exception-handler.js:63

### errorHandler

errorHandler: ErrorHandler

- Defined in src/core/exception-handler.js:59

### log

log: LogService

- Defined in src/core/exception-handler.js:56
- Defined in src/core/exception-handler.js:70